## org.apache.batik.bridge
Class SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
          org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler

All Implemented Interfaces:
  BridgeUpdateHandler, SVGContext

Direct Known Subclasses:
  SVGTextElementBridge.AbstractTextChildTextContent

Enclosing class:
  SVGTextElementBridge

protected abstract class SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler
extends SVGTextElementBridge.AbstractTextChildSVGContext
implements BridgeUpdateHandler

Implementation for the `BridgeUpdateHandler` for the child elements of <text>. This implementation relies on the parent bridge which contains the `TextNode` representing the node this context supervised. All operations are done by the parent bridge `SVGTextElementBridge` which can determine the impact of a change of one of its children for the others.

Field Summary

Fields inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`ctx, e, textBridge`

Constructor Summary
`SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler(BridgeContext ctx, SVGTextElementBridge parent, org.w3c.dom.Element e)` Initialize the BridgeUpdateHandler implementation.

Method Summary
`void` `dispose()` Disposes this BridgeUpdateHandler and releases all resources.
`void` `handleCSSEngineEvent(CSSEngineEvent evt)` Invoked when an CSSEngineEvent is fired.
`void` `handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMAttrModified' is fired.
`void` `handleDOMCharacterDataModified(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.
`void` `handleDOMNodeInsertedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.
`void` `handleDOMNodeRemovedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler

    public SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler(BridgeContext ctx,
                                                                     SVGTextElementBridge parent,
                                                                     org.w3c.dom.Element e)

  Initialize the BridgeUpdateHandler implementation.

Method Detail

### handleDOMAttrModifiedEvent

    public void handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMAttrModified' is fired.

  Specified by:
    `handleDOMAttrModifiedEvent` in interface `BridgeUpdateHandler`

### handleDOMNodeInsertedEvent

    public void handleDOMNodeInsertedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.

  Specified by:
    `handleDOMNodeInsertedEvent` in interface `BridgeUpdateHandler`

### handleDOMNodeRemovedEvent

    public void handleDOMNodeRemovedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.

  Specified by:
    `handleDOMNodeRemovedEvent` in interface `BridgeUpdateHandler`

### handleDOMCharacterDataModified

    public void handleDOMCharacterDataModified(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.

  Specified by:
    `handleDOMCharacterDataModified` in interface `BridgeUpdateHandler`

### handleCSSEngineEvent

    public void handleCSSEngineEvent(CSSEngineEvent evt)

  Invoked when an CSSEngineEvent is fired.

  Specified by:
    `handleCSSEngineEvent` in interface `BridgeUpdateHandler`

### dispose

    public void dispose()

  Disposes this BridgeUpdateHandler and releases all resources.

  Specified by:
    `dispose` in interface `BridgeUpdateHandler`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.